org.thymeleaf.extras.springsecurity3.auth

## Class Authorization

- Object
- - org.thymeleaf.extras.springsecurity3.auth.Authorization

-     public final class Authorization
      extends Object

  Author:
    Daniel Fernández

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Authorization(org.thymeleaf.context.IProcessingContext processingContext, org.springframework.security.core.Authentication authentication, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `expr(String expression)`
    `boolean` | `expression(String expression)`
    `org.springframework.security.core.Authentication` | `getAuthentication()`
    `org.thymeleaf.context.IProcessingContext` | `getProcessingContext()`
    `javax.servlet.http.HttpServletRequest` | `getRequest()`
    `javax.servlet.http.HttpServletResponse` | `getResponse()`
    `javax.servlet.ServletContext` | `getServletContext()`
    `boolean` | `url(String url)`
    `boolean` | `url(String method, String url)`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Authorization

          public Authorization(org.thymeleaf.context.IProcessingContext processingContext,
                               org.springframework.security.core.Authentication authentication,
                               javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response,
                               javax.servlet.ServletContext servletContext)

  - ### Method Detail

    - #### getProcessingContext

          public org.thymeleaf.context.IProcessingContext getProcessingContext()

    - #### getAuthentication

          public org.springframework.security.core.Authentication getAuthentication()

    - #### getRequest

          public javax.servlet.http.HttpServletRequest getRequest()

    - #### getResponse

          public javax.servlet.http.HttpServletResponse getResponse()

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

    - #### expr

          public boolean expr(String expression)

    - #### expression

          public boolean expression(String expression)

    - #### url

          public boolean url(String url)

    - #### url

          public boolean url(String method,
                             String url)

Copyright © 2015 The THYMELEAF team. All rights reserved.